Package org.opensaml.core.xml

# Interface LangBearing

All Known Subinterfaces:
  `Description`, `DisplayName`, `InformationURL`, `Keywords`, `LocalizedName`, `LocalizedURI`, `Logo`, `OrganizationDisplayName`, `OrganizationName`, `OrganizationURL`, `PrivacyStatementURL`, `RegistrationPolicy`, `ServiceDescription`, `ServiceName`, `UsagePolicy`

All Known Implementing Classes:
  `DescriptionImpl`, `DisplayNameImpl`, `InformationURLImpl`, `KeywordsImpl`, `LocalizedNameImpl`, `LocalizedURIImpl`, `LogoImpl`, `OrganizationDisplayNameImpl`, `OrganizationNameImpl`, `OrganizationURLImpl`, `PrivacyStatementURLImpl`, `RegistrationPolicyImpl`, `ServiceDescriptionImpl`, `ServiceNameImpl`, `UsagePolicyImpl`

public interface LangBearing
Interface for element having a `@xml:lang` attribute.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`XML_LANG_ATTR_LOCAL_NAME`
The `lang` attribute local name.
`static final QName`
`XML_LANG_ATTR_NAME`
The `xml:lang` qualified attribute name.

## Method Summary

Modifier and Type
Method
Description
`String`
`getXMLLang()`
Returns the `@xml:lang` attribute value.
`void`
`setXMLLang(String newLang)`
Sets the `@xml:lang` attribute value.

## Field Details

### XML_LANG_ATTR_LOCAL_NAME

@Nonnull @NotEmpty static final String XML_LANG_ATTR_LOCAL_NAME
The `lang` attribute local name.

See Also:
  - Constant Field Values

### XML_LANG_ATTR_NAME

@Nonnull static final QName XML_LANG_ATTR_NAME
The `xml:lang` qualified attribute name.

## Method Details

### getXMLLang

@Nullable String getXMLLang()
Returns the `@xml:lang` attribute value.

Returns:
  The `@xml:lang` attribute value or `null`.

### setXMLLang

void setXMLLang(@Nullable String newLang)
Sets the `@xml:lang` attribute value.

Parameters:
  `newLang` - The `@xml:lang` attribute value